// -*- c++ -*-
#if !defined(ptrEE_H)
#define ptrEE_H

#include <stdio.h>
#include "person.h"

typedef struct _tree_node
{
    person_t           *person;
    struct _tree_node  *left;
    struct _tree_node  *right;
} tree_node_t;


extern void tree_node_insert(tree_node_t **root_p, person_t *p);
extern void ftree_print(FILE *f, tree_node_t *root);


#endif /* ptrEE_H */
