/* Author:  Yotam Medini  yotam.medini@gmail.com -- Created: 2011/March/26 */
#include "person.h"
#include <stdlib.h>

person_t *person_malloc(void)
{
    person_t *p = malloc(sizeof(person_t));
    p->name = NULL;
    p->numeric_id = -1;
    p->weight = 0.;
    return p;
}


void person_free(person_t *p)
{
    if (p->name) 
    {
        free(p->name);
    }
    free(p);
}
